EXTRA_DIST = BUGS HISTORY LICENSE debian/
SUBDIRS = xml src doc
CLEANFILES = core

bin_SCRIPTS = gmetadom-config

backup:
	cd ..; tar cvfz @PACKAGE@-@VERSION@-`date|tr ' ' '_'|tr ':' '_'`.tar.gz @PACKAGE@

cleanbak:
	-rm -f `find . -name "*~"`

lc:
	@( \
	CFILES=`find . -name "*.c"`; \
	HFILES=`find . -name "*.h"`; \
	CCFILES=`find . -name "*.cc"`; \
	HHFILES=`find . -name "*.hh"`; \
	ICCFILES=`find . -name "*.icc"`; \
	MLFILES=`find . -name "*.ml"`; \
	MLIFILES=`find . -name "*.mli"`; \
	wc -l $$CFILES $$HFILES $$CCFILES $$HHFILES $$ICCFILES $$MLFILES $$MLIFILES | tail -n 1 \
	)

upload-release:
	ftp upload.sourceforge.net

